[arch-commits] Commit in texlive-langgreek/repos (4 files)
Rémy Oudompheng
remy at archlinux.org
Tue Sep 1 10:33:53 UTC 2015
Date: Tuesday, September 1, 2015 @ 12:33:53
Author: remy
Revision: 245149
archrelease: copy trunk to testing-any
Added:
texlive-langgreek/repos/testing-any/
texlive-langgreek/repos/testing-any/PKGBUILD
(from rev 245148, texlive-langgreek/trunk/PKGBUILD)
texlive-langgreek/repos/testing-any/texlive-langgreek.maps
(from rev 245148, texlive-langgreek/trunk/texlive-langgreek.maps)
texlive-langgreek/repos/testing-any/texlive.install
(from rev 245148, texlive-langgreek/trunk/texlive.install)
------------------------+
PKGBUILD | 49 ++++++++++++++++++++++++++++++++++++++++++++
texlive-langgreek.maps | 5 ++++
texlive.install | 52 +++++++++++++++++++++++++++++++++++++++++++++++
3 files changed, 106 insertions(+)
Copied: texlive-langgreek/repos/testing-any/PKGBUILD (from rev 245148, texlive-langgreek/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD (rev 0)
+++ testing-any/PKGBUILD 2015-09-01 10:33:53 UTC (rev 245149)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-langgreek
+pkgver=2015.36842
+_revnr=${pkgver#2015.}
+pkgrel=1
+pkgdesc="TeX Live - Fonts and support for typesetting Greek"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-lang')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+install=texlive.install
+md5sums=('6f6cfad2ae0c37b623a12141f9e20bf6'
+ 'a7d853454158016e29d861aabf9a3e74')
+
+build() {
+ cd "$srcdir"
+ for p in *.tar.xz; do
+ bsdtar -xf $p
+ done
+ rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+ install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+ sed -i '/^#/d' CONTENTS
+ install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+ install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+ install -m755 -d $pkgdir/usr/share
+ wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+ for dir in $wanteddirs; do
+ find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+ find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+ done
+ if [[ -d texmf-dist ]]; then
+ find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+ find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+ fi
+ if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+ find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+ fi
+ install -m755 -d $pkgdir/usr/bin
+ ln -s /usr/share/texmf-dist/scripts/mkgrkindex/mkgrkindex $pkgdir/usr/bin/mkgrkindex
+}
Copied: texlive-langgreek/repos/testing-any/texlive-langgreek.maps (from rev 245148, texlive-langgreek/trunk/texlive-langgreek.maps)
===================================================================
--- testing-any/texlive-langgreek.maps (rev 0)
+++ testing-any/texlive-langgreek.maps 2015-09-01 10:33:53 UTC (rev 245149)
@@ -0,0 +1,5 @@
+Map gfsbaskerville.map
+Map gfsporson.map
+Map kerkis.map
+MixedMap cbgreek-full.map
+MixedMap iby.map
Copied: texlive-langgreek/repos/testing-any/texlive.install (from rev 245148, texlive-langgreek/trunk/texlive.install)
===================================================================
--- testing-any/texlive.install (rev 0)
+++ testing-any/texlive.install 2015-09-01 10:33:53 UTC (rev 245149)
@@ -0,0 +1,52 @@
+PKGNAME="texlive-langgreek"
+UPDMAP="etc/texmf/web2c/updmap.cfg"
+UPDMAPLOCAL="etc/texmf/web2c/updmap-local.cfg"
+SYNCWITHTREES=''
+
+MAPFILE="var/lib/texmf/arch/installedpkgs/$PKGNAME.maps"
+
+post_install() {
+ TMPFILE=`mktemp`
+ echo ">>> texlive: saving updmap.cfg as $TMPFILE..."
+ cp "$UPDMAP" "$TMPFILE"
+ echo ">>> texlive: regenerating updmap.cfg (custom additions should go"
+ echo " into /etc/texmf/web2c/updmap-local.cfg"
+ cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+ cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+ [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash
+ echo " done."
+}
+
+post_upgrade() {
+ TMPFILE=`mktemp`
+ echo ">>> texlive: saving updmap.cfg as $TMPFILE..."
+ cp "$UPDMAP" "$TMPFILE"
+ echo ">>> texlive: regenerating updmap.cfg (custom additions should go"
+ echo " into /etc/texmf/web2c/updmap-local.cfg"
+ cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+ cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+ [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash $SYNCWITHTREES
+ echo " done."
+}
+
+pre_remove() {
+for m in `cut -d' ' -f2 $MAPFILE`; do
+ sed -i "/\s$m/d" $UPDMAP ;
+done
+}
+
+post_remove() {
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash
+ echo " done."
+}
More information about the arch-commits
mailing list